summaryrefslogtreecommitdiffstats
path: root/abicheck/run_abi_test
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:00:48 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:00:48 +0000
commit851b6a097165af4d51c0db01b5e05256e5006896 (patch)
tree5f7c388ec894a7806c49a99f3bdb605d0b299a7c /abicheck/run_abi_test
parentInitial commit. (diff)
downloadapt-upstream.tar.xz
apt-upstream.zip
Adding upstream version 2.6.1.upstream/2.6.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'abicheck/run_abi_test')
-rwxr-xr-xabicheck/run_abi_test22
1 files changed, 22 insertions, 0 deletions
diff --git a/abicheck/run_abi_test b/abicheck/run_abi_test
new file mode 100755
index 0000000..491616b
--- /dev/null
+++ b/abicheck/run_abi_test
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# ensure we are in the abibreak subdirectory
+cd "$(readlink -f $(dirname $0))"
+
+if [ ! -d ../build ]; then
+ echo "../build missing, did you run make?"
+ exit 1
+fi
+
+if ! command -v abi-compliance-checker 2>/dev/null >&2; then
+ echo "Please install the 'abi-compliance-checker' package"
+ exit 1
+fi
+
+LIBPATH=$(find /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH) -type f -regex '.*/libapt-\(pkg\|inst\)\.so\..*' -printf %p\\\\n)
+sed s#@installed_libapt@#$LIBPATH# apt_installed.xml.in > apt_installed.xml
+
+BUILDPATH=$(readlink -f ../build)
+sed s#@build_path@#$BUILDPATH# apt_build.xml.in > apt_build.xml
+
+abi-compliance-checker -l apt -d1 apt_installed.xml -d2 apt_build.xml $@